Description

Support Anfrage:

Mir fällt auf, dass wenn ich eine Message Bus Kommunikation aus der Konfiguration heraus aufbauen möchte (Subgraph mit Inport

und url Propterty), die Kommunikation für die IP Adresse des localhost irgendwie nicht zuverlässig funktioniert. Wenn ich die Konf.

ausführe erhalte ich keinen Traffic in Wireshark. Zum Vergleich: Wenn ich in der gleichen Konf. den Demo UDP Filter verwende,

dann kann ich auf adapter for loopback traffic capture Pakete mitschneiden. Interessanterweise klappt die Message Bus

Kommunikation über Subgraph immer zuverlässig wenn ich eine nicht-localhost IP eingebe die im Netz ist. (Gleiche Konf. und

gleiche Pins)

Was könnte der Fehler sein? Folgende urls habe ich alle ohne Erfolg ausprobiert:

udp://localhost:<port>

udp://127.0.0.1:<port>

tcp://localhost:<port>

tcp://127.0.0.1:<port>

Im Network Overview sieht alles wie erwartet aus und funktioniert für die anderen IPs ja auch.

Aus der Doku werde ich nicht schlauer...

Könntet ihr mich hierzu aufklären?

"Every System creates access to the channel trough an url and from the user’s perspective

the Message Bus does not reveal the “Server”/“Client”/“Shared Memory”. . . role of an

individual Message Bus channel instance. In most cases, except on localhost, this is

managed internaly."

Was mache ich falsch? Was sind vielleicht typische Fehler, wenn man innerhalb des localhost aus ADTF senden möchte? Das ist

doch eine Standardfunktionalität die ganz einfach laufen soll oder?

Lösung:

Es fehlte das Flag "forceclient".

Siehe hierzu die Doku auf Seite S. 131 im Usermanual

Zusätzliche Anmerkung des Anwenders:

Ansonsten ist der Ethernet Device UDP Filter aus der Device Toolbox eine gute Lösung. Da kann ich sichergehen, dass ein

minimales UDP Paket mit einem Datenfeld gesendet wird, wo genau der am Input liegende Signalwert drin liegt.

History

#1 - 2020-10-14 21:00 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::MessageBus

Hallo Marko,

Hm, hast du forcelient auch gesetzt bei localhost?
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf


Siehe S. 131 im Usermanual

#2 - 2020-10-15 10:01 - hidden

Hallo,

nein, hatte ich nicht. Wenn ich das mache, läuft die Kommunikation. Sicher interessant für andere Anwender das Flag dann einfach zu setzen.

Ansonsten ist der Ethernet Device UDP Filter aus der Device Toolbox eine gute Lösung. Da kann ich sichergehen, dass ein minimales UDP Paket mit

einem Datenfeld gesendet wird, wo genau der am Input liegende Signalwert drin liegt. Diesen Filter hatte ich erst nicht wirklich in Betracht gezogen,

da in der Doku stand deprecated und kein support mehr etc. ...

Gruß Marko

#3 - 2020-10-16 11:29 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#4 - 2020-10-19 12:01 - hidden

- Subject changed from Message Bus localhost Konfiguration to Message Bus localhost connection failed

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

#5 - 2020-10-19 12:01 - hidden

- Project changed from 20 to Public Support

Powered by TCPDF (www.tcpdf.org)

2024-04-26 2/2

https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
http://www.tcpdf.org

